| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Status registers
Scalar Operations » Configuration » Mode Settings

Intrinsics to set,get and clear the status registers. More...

## Miscellaneous status bits
Saturation for SRS in all lanes.
unsigned int | get_srs_of ()
void | set_srs_of ()
void | set_srs_of (unsigned int val)
void | clr_srs_of ()
unsigned int | get_ups_of ()
| Saturation for UPS in all lanes.
void | set_ups_of ()
| Saturation for UPS in all lanes.
void | set_ups_of (unsigned int val)
| Saturation for UPS in all lanes.
void | clr_ups_of ()
| Saturation for UPS in all lanes.
unsigned int | get_fpmulmac_flags ()
| Floating point flags.
void | set_fpmulmac_flags (unsigned int val)
| Floating point flags.
unsigned int | get_fp2int_flags ()
| Floating point flags.
void | set_fp2int_flags (unsigned int val)
| Floating point flags.
unsigned int | get_fpf2f_flags ()
| Floating point flags.
void | set_fpf2f_flags (unsigned int val)
| Floating point flags.
unsigned int | get_fpf2bfp_flags ()
| Floating point flags.
void | set_fpf2bfp_flags (unsigned int val)
| Floating point flags.
unsigned int | get_sparse_of ()
| Sparse overflow flag.
void | set_sparse_of ()
| Sparse overflow flag.
void | set_sparse_of (unsigned int val)
| Sparse overflow flag.
void | clr_sparse_of ()
| Sparse overflow flag.
unsigned int | get_fifo_st_of ()
| Fifo load/store flags.
void | set_fifo_st_of ()
| Fifo load/store flags.
void | set_fifo_st_of (unsigned int val)
| Fifo load/store flags.
void | clr_fifo_st_of ()
| Fifo load/store flags.
unsigned int | get_fifo_ld_uf ()
| Fifo load/store flags.
void | set_fifo_ld_uf ()
| Fifo load/store flags.
void | set_fifo_ld_uf (unsigned int val)
| Fifo load/store flags.
void | clr_fifo_ld_uf ()
| Fifo load/store flags.
unsigned int | get_nlf ()
| Nonlinear functions.
void | set_nlf ()
| Nonlinear functions.
void | set_nlf (unsigned int val)
| Nonlinear functions.
void | clr_nlf ()
| Nonlinear functions.
unsigned int | get_fx2fl ()
| Nonlinear functions.
void | set_fx2fl ()
| Nonlinear functions.
void | set_fx2fl (unsigned int val)
| Nonlinear functions.
void | clr_fx2fl ()
| Nonlinear functions.
unsigned int | get_fl2fx ()
| Nonlinear functions.
void | set_fl2fx ()
| Nonlinear functions.
void | set_fl2fx (unsigned int val)
| Nonlinear functions.
void | clr_fl2fx ()
| Nonlinear functions.

## Detailed Description

Intrinsics to set,get and clear the status registers.

### Satutus registers:

Register | Width | Meaning
--- | --- | ---
srCarry - Carry | 1 | ALU overflow carry bit
srSS0 SS_TLAST - TLAST | 2 | bit 0: Reading the narrow input stream returned TLAST condition
|  | bit 1: Reading the narrow input stream returned a non blocking SUCCESS condition
srMS0 - Non blocking | 1 | Writing the narrow output stream returned a non blocking SUCCESS condition
srSRS_of - Saturation | 1 | Saturation in SRS for all lanes
srUPS_of - Saturation | 1 | Saturation in UPS for all lanes
srSparse_of | 1 | Overflow in sparse vector mask
srFPFlags | 5 | Floating-point status flags
srF2IFlags | 5 | Floating-point to integer conversion status flags
srF2FFlags | 5 | Floating-point to bfloat16 conversion status flags
srF2BFlags | 5 | Floating-point to bfp16/bfp13 conversion status flags

## Function Documentation

## ◆ clr_fifo_ld_uf()

void clr_fifo_ld_uf | ( |  | ) |

Fifo load/store flags.

## ◆ clr_fifo_st_of()

void clr_fifo_st_of | ( |  | ) |

Fifo load/store flags.

## ◆ clr_fl2fx()

void clr_fl2fx | ( |  | ) |

Nonlinear functions.

## ◆ clr_fx2fl()

void clr_fx2fl | ( |  | ) |

Nonlinear functions.

## ◆ clr_nlf()

void clr_nlf | ( |  | ) |

Nonlinear functions.

## ◆ clr_sparse_of()

void clr_sparse_of | ( |  | ) |

Sparse overflow flag.

## ◆ clr_srs_of()

void clr_srs_of | ( |  | ) |

## ◆ clr_ups_of()

void clr_ups_of | ( |  | ) |

Saturation for UPS in all lanes.

## ◆ get_fifo_ld_uf()

unsigned int get_fifo_ld_uf | ( |  | ) |

Fifo load/store flags.

## ◆ get_fifo_st_of()

unsigned int get_fifo_st_of | ( |  | ) |

Fifo load/store flags.

## ◆ get_fl2fx()

unsigned int get_fl2fx | ( |  | ) |

Nonlinear functions.

## ◆ get_fp2int_flags()

unsigned int get_fp2int_flags | ( |  | ) |

Floating point flags.

## ◆ get_fpf2bfp_flags()

unsigned int get_fpf2bfp_flags | ( |  | ) |

Floating point flags.

## ◆ get_fpf2f_flags()

unsigned int get_fpf2f_flags | ( |  | ) |

Floating point flags.

## ◆ get_fpmulmac_flags()

unsigned int get_fpmulmac_flags | ( |  | ) |

Floating point flags.

## ◆ get_fx2fl()

unsigned int get_fx2fl | ( |  | ) |

Nonlinear functions.

## ◆ get_nlf()

unsigned int get_nlf | ( |  | ) |

Nonlinear functions.

## ◆ get_sparse_of()

unsigned int get_sparse_of | ( |  | ) |

Sparse overflow flag.

## ◆ get_srs_of()

unsigned int get_srs_of | ( |  | ) |

## ◆ get_ups_of()

unsigned int get_ups_of | ( |  | ) |

Saturation for UPS in all lanes.

## ◆ set_fifo_ld_uf() [1/2]

void set_fifo_ld_uf | ( |  | ) |

Fifo load/store flags.

## ◆ set_fifo_ld_uf() [2/2]

void set_fifo_ld_uf | ( | unsigned int | val | ) |

Fifo load/store flags.

## ◆ set_fifo_st_of() [1/2]

void set_fifo_st_of | ( |  | ) |

Fifo load/store flags.

## ◆ set_fifo_st_of() [2/2]

void set_fifo_st_of | ( | unsigned int | val | ) |

Fifo load/store flags.

## ◆ set_fl2fx() [1/2]

void set_fl2fx | ( |  | ) |

Nonlinear functions.

## ◆ set_fl2fx() [2/2]

void set_fl2fx | ( | unsigned int | val | ) |

Nonlinear functions.

## ◆ set_fp2int_flags()

void set_fp2int_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_fpf2bfp_flags()

void set_fpf2bfp_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_fpf2f_flags()

void set_fpf2f_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_fpmulmac_flags()

void set_fpmulmac_flags | ( | unsigned int | val | ) |

Floating point flags.

## ◆ set_fx2fl() [1/2]

void set_fx2fl | ( |  | ) |

Nonlinear functions.

## ◆ set_fx2fl() [2/2]

void set_fx2fl | ( | unsigned int | val | ) |

Nonlinear functions.

## ◆ set_nlf() [1/2]

void set_nlf | ( |  | ) |

Nonlinear functions.

## ◆ set_nlf() [2/2]

void set_nlf | ( | unsigned int | val | ) |

Nonlinear functions.

## ◆ set_sparse_of() [1/2]

void set_sparse_of | ( |  | ) |

Sparse overflow flag.

## ◆ set_sparse_of() [2/2]

void set_sparse_of | ( | unsigned int | val | ) |

Sparse overflow flag.

## ◆ set_srs_of() [1/2]

void set_srs_of | ( |  | ) |

## ◆ set_srs_of() [2/2]

void set_srs_of | ( | unsigned int | val | ) |

## ◆ set_ups_of() [1/2]

void set_ups_of | ( |  | ) |

Saturation for UPS in all lanes.

## ◆ set_ups_of() [2/2]

void set_ups_of | ( | unsigned int | val | ) |

Saturation for UPS in all lanes.